Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003599OCamlOCaml generalpublic2005-04-18 10:522015-07-24 10:29
Assigned To 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version4.02.0 
Summary0003599: Feature wish: big_int_of_string en base n

La fonction int_of_string (et Int32.of_string...) acceptent des
arguments en hexa, octal, binaire. Ce n'est pas le cas pour
Big_int.big_int_of_string; la fonction sys_nat_of_string permet de
spécifier la base, donc ça serait facile à ajouter. Ou alors, fournir
dans Big_int une variante de int_of_string qui permet de spécifier la
base à la main.

-- Alain

TagsNo tags attached.
Attached Files

- Relationships
duplicate of 0004323resolvedgasche Big_int and Num "of_string" functions do not work with hexadecimal literals 

-  Notes
Boris Yakobowski (reporter)
2015-07-24 00:34

Can be closed since 4323 is solved.

- Issue History
Date Modified Username Field Change
2005-11-18 10:13 administrator New Issue
2009-08-20 10:25 xclerc Relationship added duplicate of 0004323
2015-07-24 00:34 Boris Yakobowski Note Added: 0014251
2015-07-24 10:29 xleroy Status acknowledged => closed
2015-07-24 10:29 xleroy Resolution open => fixed
2015-07-24 10:29 xleroy Fixed in Version => 4.02.0
2015-07-24 10:29 xleroy Description Updated View Revisions

Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker